Unterschiede

Hier werden die Unterschiede zwischen zwei Versionen angezeigt.

Link zu dieser Vergleichsansicht

Beide Seiten der vorigen Revision Vorhergehende Überarbeitung
Nächste Überarbeitung
Vorhergehende Überarbeitung
Letzte Überarbeitung Beide Seiten der Revision
de:shibidp3prepare-java [2019/08/13 16:45]
Raoul Gunnar Borenius [Debian 8, Ubuntu 16.x]
de:shibidp3prepare-java [2019/08/15 14:27]
Silke Meyer
Zeile 1: Zeile 1:
-===== IdP 3.x Vorbereitung: Java =====+===== IdP 3.x Vorarbeiten: Java/​OpenJDK ​=====
  
 Auch wenn die Shibboleth-Entwickler Oracle-Java empfehlen (weil die IdP-Software darunter entwickelt wird) setzen wir auf den DFN-IdPs durchgängig OpenJDK ein. Es ist bei Debian/​Ubuntu Teil des Betriebssystems und dadurch sehr leicht zu installieren und up-to-date zu halten. Wir haben damit keine Probleme im Betrieb festgestellt und können es uneingeschränkt empfehlen. Auch wenn die Shibboleth-Entwickler Oracle-Java empfehlen (weil die IdP-Software darunter entwickelt wird) setzen wir auf den DFN-IdPs durchgängig OpenJDK ein. Es ist bei Debian/​Ubuntu Teil des Betriebssystems und dadurch sehr leicht zu installieren und up-to-date zu halten. Wir haben damit keine Probleme im Betrieb festgestellt und können es uneingeschränkt empfehlen.
  
-==== Debian ​8, Ubuntu ​16.==== +==== Debian ​10 und Ubuntu ​18.04 ====
- +
-===OpenJDK=== +
- +
-Bei Ubuntu 16.x und Debian 9 ist Java 8 schon im Repository enthalten. +
-<code bash> +
-root@idp:~# apt-get install openjdk-8-jdk +
-</​code>​ +
- +
-Unter Debian 8 müssen Sie zuerst [[https://​backports.debian.org/​Instructions/​|Debian-Backport]] aktivieren. Danach können Sie Java 8 instalieren mit+
  
 <code bash> <code bash>
-root@idp:~# apt-get install ​-t jessie-backports ​openjdk-8-jdk+root@idp:~# apt install openjdk-11-jdk
 </​code>​ </​code>​
  
Zeile 22: Zeile 13:
 root@idp:~# update-alternatives --config java root@idp:~# update-alternatives --config java
 </​code>​ </​code>​
-Wählen Sie OpenJDK-aus oder deinstallieren Sie die anderen Java-Versionen.+Wählen Sie OpenJDK-11 aus oder deinstallieren Sie die anderen Java-Versionen.
  
-==== Debian ​10, Ubuntu ​18.==== +==== Debian ​8/9 und Ubuntu ​16.04 ====
- +
-===OpenJDK===+
  
 +Bei Ubuntu 16.04 und Debian 9 wird Java 8 verwendet.
 <code bash> <code bash>
-root@idp:~# apt-get install openjdk-11-jdk+root@idp:~# apt-get install openjdk-8-jdk
 </​code>​ </​code>​
  
Zeile 36: Zeile 26:
 root@idp:~# update-alternatives --config java root@idp:~# update-alternatives --config java
 </​code>​ </​code>​
-Wählen Sie OpenJDK-11 aus oder deinstallieren Sie die anderen Java-Versionen.+Wählen Sie OpenJDK-aus oder deinstallieren Sie die anderen Java-Versionen.
  
-====CentOS ​6, 7====+==== CentOS 7 ====
  
-Siehe https://​panovski.me/​install-tomcat-8-on-centos-7/+<code bash> 
 +root@idp:~# yum -y install ​java-11-openjdk-devel 
 +</code>
  
-====RHEL==== +==== OpenSUSE LEAP 15.1 ====
- +
-===OpenJDK===+
  
 <code bash> <code bash>
-yum install java-1.7.0-openjdk +root@idp:~# zypper ​install java-11-openjdk-devel
-update-alternatives --config java+
 </​code>​ </​code>​
- 
-FIXME: OpenJDK 8 unter RHEL dokumentieren. 
  
 ====SLES 11, 12==== ====SLES 11, 12====
Zeile 61: Zeile 48:
 </​code>​ </​code>​
 FIXME: OpenJDK 8 unter SLES dokumentieren. FIXME: OpenJDK 8 unter SLES dokumentieren.
- 
-==== Java Cryptography Extension (JCE) installiert?​==== 
- 
-Bei Verwendung von OpenJDK (Debian/​Ubuntu) ist alles nötige enthalten! 
-Bei anderen Systemen muss u.U. nachgearbeitet werden, siehe dazu [[de:​shibidp3jce|JCE]] 
- 
  
 Weiter geht es mit [[de:​shibidp3prepare-tomcat|Tomcat]]. Weiter geht es mit [[de:​shibidp3prepare-tomcat|Tomcat]].
  • Zuletzt geändert: vor 4 Monaten